com.io7m.r2.core.shaders.provided

## Interface R2DepthShaderBasicStippledParametersType

- All Superinterfaces:
    R2DepthShaderBasicParametersValuesType
  All Known Implementing Classes:
    R2DepthShaderBasicStippledParameters

      public interface R2DepthShaderBasicStippledParametersType
      extends R2DepthShaderBasicParametersValuesType

  The type of parameters for the basic stippled depth shader.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default R2Texture2DUsableType` | `albedoTexture()` An albedo map which is used primarily used to determine the opacity of the shaded surface.
    `default float` | `alphaDiscardThreshold()` The threshold value that defines whether or not the surface fragment will be discarded.
    `R2Texture2DUsableType` | `stippleNoiseTexture()` The noise texture used to implement stippling.
    `default float` | `stippleThreshold()` The stipple threshold value.
    `R2TextureDefaultsType` | `textureDefaults()`

- - ### Method Detail

    - #### textureDefaults

          R2TextureDefaultsType textureDefaults()

      Specified by:
        `textureDefaults` in interface `R2DepthShaderBasicParametersValuesType`
      Returns:
        A reference to the default textures

    - #### albedoTexture

          default R2Texture2DUsableType albedoTexture()

      Description copied from interface: `R2DepthShaderBasicParametersValuesType`

      An albedo map which is used primarily used to determine the opacity of the shaded surface.

      Specified by:
        `albedoTexture` in interface `R2DepthShaderBasicParametersValuesType`
      Returns:
        The albedo texture for the surface

    - #### alphaDiscardThreshold

          default float alphaDiscardThreshold()

      Description copied from interface: `R2DepthShaderBasicParametersValuesType`
      The threshold value that defines whether or not the surface fragment will be discarded. If the opacity of the surface is less than this threshold value, the surface will be discarded. A threshold value of `0.0` will result in no fragments ever being discarded.
      Specified by:
        `alphaDiscardThreshold` in interface `R2DepthShaderBasicParametersValuesType`
      Returns:
        The threshold value

    - #### stippleNoiseTexture

          R2Texture2DUsableType stippleNoiseTexture()

      The noise texture used to implement stippling. This is a random noise texture that is tiled across the screen, and values in the red channel are sampled for stippling.
      Returns:
        A noise texture
      See Also:
        `stippleThreshold()`

    - #### stippleThreshold

          default float stippleThreshold()

      The stipple threshold value. For each pixel in the surface, the stipple threshold determine whether or not that pixel will be discarded. Essentially, the `stippleNoiseTexture()` is sampled at each pixel, and if the sampled value is less than `stippleThreshold()`, the pixel is discarded. Consequently, a stipple threshold of `0.0` never discards pixels.
      Returns:
        The threshold value

Copyright © 2017 <code@io7m.com> http://io7m.com